## shadow 4.0.3-31sarge5.osso7

=== man/it/po4a/Makefile ===
all: it

it:
	po4a -L iso-8859-1 shadow.conf

shadow.conf:
	echo -e "[po4a_paths] shadow-man.pot it:it.po\n" > $@
	for i in `ls -1 ../../*.[0-9]`; do \
	  page=`basename $$i`; \
	  if po4a-gettextize -f man -m ../../$$page -p /dev/null; then \
	    echo "[type:man] ../../$$page it:../../it/$$page add_it:addendum.it" >> $@; \
	  else \
	    echo "# ../../$$page" >> $@; \
	  fi; \
	done

=== debian/changelog ===
shadow (1:4.0.3-31sarge5.osso7) unstable; urgency=low

  * Fixed scripts for non-gnu utils. Fixes: NB#67709
  * Remove libmisc/nscd.c after darcs convertion again

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 12 Sep 2007 15:09:07 +0300

shadow (1:4.0.3-31sarge5.osso6) unstable; urgency=low

  * Use sh instead of bash in the debian scripts. Fixes: NB#55253
    Thanks to Jussi Hakala <ext-jussi.hakala@nokia.com>

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed,  9 May 2007 13:19:54 +0300

shadow (1:4.0.3-31sarge5.osso5) unstable; urgency=low

  * Fixed lintian warning, duplicate Replaces.

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 19 Oct 2006 13:28:38 +0300

shadow (1:4.0.3-31sarge5.osso4) unstable; urgency=low

  * use our own nscd.c. Fixes: NB#43658

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 18 Oct 2006 16:23:17 +0300

shadow (1:4.0.3-31sarge5.osso3) unstable; urgency=low

  * removed man pages 

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Wed, 24 May 2006 13:01:17 +0300

shadow (1:4.0.3-31sarge5.osso2) unstable; urgency=low

  * removed documentation
  * armel support

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 23 May 2006 20:56:05 +0300

shadow (1:4.0.3-31sarge5.osso1) unstable; urgency=low

  * Intergated osso changes

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Tue, 28 Feb 2006 18:36:17 +0200

shadow (1:4.0.3-31sarge5) testing-proposed-updates; urgency=high

  * Re-apply the debian/patches/036_CAN-2004-1001_passwd_check patch
    which fixed the "Adjusted password check to fix authentication bypass"
    security issue (CAN-2004-1001)    
    Closes: #309587

 -- Christian Perrier <bubulle@debian.org>  Wed, 18 May 2005 07:35:04 +0200

shadow (1:4.0.3-31sarge4) testing-proposed-updates; urgency=low

  * The "Improve security release"
  * Make login and su use limits.so PAM module by default
    Closes: #300720

 -- Christian Perrier <bubulle@debian.org>  Mon,  9 May 2005 18:18:55 +0200

shadow (1:4.0.3-31sarge3) unstable; urgency=low

  * The "please buy me a brain" release
  * *Really* shorten down the Dutch debconf translation for the root password
    input so that it fits in one screen. Closes: #277750
  * man/usermod.8: *Really* document -o option in usermod
	           Closes: #302388
  * man/fr/po4a/fr: Removed. This directory only clutters up the diff
	            and is not used during the build process
  * man/de/passwd.1: Updated. Closes: #304757
  * man/de/chsh.1: Updated.
  * man/it/*: All files updated. Closes: #305095
  * Translation updates:
    - Portuguese (from the translation file sent for 4.0.8 upstream)
      Closes: #305257

 -- Christian Perrier <bubulle@debian.org>  Tue, 19 Apr 2005 19:31:43 +0200

shadow (1:4.0.3-31sarge2) unstable; urgency=low

  * Shorten down the Dutch debconf translation for the root password
    input so that it fits in one screen. Closes: #277750
  * man/usermod.8: Document -o option in usermod
	           Closes: #302388

 -- Christian Perrier <bubulle@debian.org>  Mon,  4 Apr 2005 20:28:47 +0200

shadow (1:4.0.3-31sarge1) unstable; urgency=high

  * Urgency set to high because of RC bug fixed. Reuploaded
    because I messed up with the changelog first. Use this occasion
    to start a sarge series just in case. Changes below were made
    in the former version already.
  * Avoid package file conflicts for woody->sarge upgrade:
    - Add manpages-it and manpages-ko to Replaces: for login
    - Remove manpages-de from Replaces: for login (useless)
    - Improve readability of the Replaces line for passwd
    Closes: #299549

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 Mar 2005 13:55:34 +0100

shadow (1:4.0.3-31) unstable; urgency=low

  * New maintainer

 -- Christian Perrier <bubulle@debian.org>  Fri, 11 Mar 2005 19:28:38 +0100

shadow (1:4.0.3-30.10) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Programs translations:
    - Greek updated. Closes: #293911
    - French updated. Closes: #294330
  * Debconf translations:
    - Galician updated. Closes: #295543

 -- Christian Perrier <bubulle@debian.org>  Wed, 16 Feb 2005 17:47:24 +0100

shadow (1:4.0.3-30.9) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Programs translations:
    - German updated. Closes: #291703
    - Tagalog added. Closes: #292353
    - Korean updated.
  * Lintian fixes:
    - Remove initial capital letters in description synopsis

 -- Christian Perrier <bubulle@debian.org>  Fri, 28 Jan 2005 12:24:58 +0100

shadow (1:4.0.3-30.8) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Debconf translations:
    - Tagalog added. Closes: #289837
    - Norwegian Bokmal updated
    - Swedish updated
  * Programs translations:
    - Traditional Chinese added. Closes: #288879


 -- Christian Perrier <bubulle@debian.org>  Sat, 15 Jan 2005 06:54:07 +0100

shadow (1:4.0.3-30.7) unstable; urgency=low

  * Non-maintainer upload targeted at sarge.
  * Resolv conflict with manpage-spl in login
    as well as passwd. Thanks to Robert Luberda for
    the notice

 -- Christian Perrier <bubulle@debian.org>  Thu, 23 Dec 2004 22:23:11 +0100

shadow (1:4.0.3-30.6) unstable; urgency=low

  * Revert back to Ian Gulliver genuine patch
    to chpasswd. Update man page accordingly.
    Closes: #283961 
    (again)
  * Programs translations
    - German updated. Closes: #286522
  * Debconf translations
    - German updated. Closes: #286522

 -- Christian Perrier <bubulle@debian.org>  Mon, 20 Dec 2004 23:51:39 +0100

shadow (1:4.0.3-30.5) unstable; urgency=high

  * Non-maintainer upload targeted at sarge.
    Fix release critical bug
  * Resolve conflict with woody's manpages-pl package
    which prevent woody->sarge upgrade if
    manpages-pl was installed
    Closes: #284239
  * Programs translations
    - Romanian added. Closes: #284338
  * Add MD5 support to chpasswd
    Thanks to Ian Gulliver for the patch
    Closes: #283961
  * Correct typos in man pages


=== debian/control ===
Source: shadow
Section: base
Priority: required
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Standards-Version: 3.6.1.1
Uploaders: Christian Perrier <bubulle@debian.org>, Sam Hartman <hartmans@debian.org>
Build-Depends: autoconf, automake1.7, libtool, bzip2, gettext, texinfo, file, debhelper (>= 4.1.16), po-debconf

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, ${loginpam}
Conflicts: shadow-passwd, suidregister (<< 0.50), debconf (<< 0.5)
Replaces: shadow-passwd, manpages (<=1.15-2), manpages-de (<= 0.4-4), manpages-fr, manpages-hu, manpages-it, manpages-ja, manpages-ko, manpages-pl (<= 20020406-1)
Section: base
Priority: required
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
Conflicts: shadow-login, secure-su, suidregister (<< 0.50)
Replaces: shadow-login, shadow-passwd, shellutils (<< 2.0-2), manpages-fr, manpages-hu, manpages-it, manpages-ko, manpages-ja, manpages-pl (<= 20020406-1)
Essential: yes
Section: base
Priority: required
Description: system login tools
 These tools are required to be able to login and use your system. The
 login program invokes your user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).

=== debian/rules ===
#!/usr/bin/make -f

config_options := --disable-shared --without-libcrack --mandir=/usr/share/man
#	--build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)

DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
ifeq ($(DEB_HOST_ARCH_OS),)
  DEB_HOST_ARCH_OS := $(subst -gnu,,$(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM))
  ifeq ($(DEB_HOST_ARCH_OS),gnu)
    DEB_HOST_ARCH_OS := hurd
  endif
endif

#ifneq ($(DEB_HOST_GNU_SYSTEM),gnu)
#  config_options += --with-libpam
#endif

export DH_COMPAT=3

build:
	dh_testdir
	cp debian/nscd.c libmisc/nscd.c
	aclocal-1.7
	autoconf
	automake-1.7
	./configure $(config_options) CFLAGS=-Os
	$(MAKE)
	touch build

install: build
	dh_testdir
	dh_testroot
	rm -rf debian/tmp
	mkdir debian/tmp
	$(MAKE) DESTDIR=$$(pwd)/debian/tmp install
	touch install 

clean:
	$(checkdir)
	-$(MAKE) distclean
	dh_clean
	rm -rf debian/tmp debian/login debian/passwd
	rm -f build install debian/*~ debian/substvars # debian/files*
	rm -f libmisc/nscd.c

binary-indep:

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_movefiles
	ln -sf vipw debian/passwd/usr/sbin/vigr
	ln -sf cppw debian/passwd/usr/sbin/cpgr
	ln -sf newgrp debian/login/usr/bin/sg
	#mv debian/passwd/usr/share/man/man5/limits.5 debian/passwd/usr/share/man/man5/limits.conf.5
	#install -c -m 444 man/dpasswd.8 debian/passwd/usr/share/man/man8
	#install -c -m 444 man/ja/dpasswd.8 debian/passwd/usr/share/man/ja/man8
	#install -c -m 444 man/pl/dpasswd.8 debian/passwd/usr/share/man/pl/man8
	#install -c -m 444 man/fr/dpasswd.8 debian/passwd/usr/share/man/fr/man8
	#install -c -m 444 man/shadowconfig.8 debian/passwd/usr/share/man/man8
	#install -c -m 444 man/ja/shadowconfig.8 debian/passwd/usr/share/man/ja/man8
	#install -c -m 444 man/pl/shadowconfig.8 debian/passwd/usr/share/man/pl/man8
	#install -c -m 444 man/fr/shadowconfig.8 debian/passwd/usr/share/man/fr/man8ZZ
	install -d debian/login/etc
	install -c -m 444 debian/login.defs debian/login/etc/login.defs
	install -c -m 444 debian/securetty.$(DEB_HOST_ARCH_OS) debian/login/etc/securetty
	install -d debian/passwd/usr/share/passwd
	install -c -m 444 debian/shells debian/passwd/usr/share/passwd/shells
	install -d debian/passwd/sbin
	install -c -m 555 debian/shadowconfig.sh debian/passwd/sbin/shadowconfig
	install -c -m 555 debian/add-shell.sh debian/passwd/usr/sbin/add-shell
	install -c -m 555 debian/remove-shell.sh debian/passwd/usr/sbin/remove-shell
	dh_installdocs
	dh_installexamples
	dh_compress
	dh_installchangelogs
	dh_fixperms
	chmod u+s debian/passwd/usr/bin/chfn
	chmod u+s debian/passwd/usr/bin/chsh
	chmod u+s debian/passwd/usr/bin/gpasswd
	chmod u+s debian/passwd/usr/bin/passwd
	chmod u+s debian/login/bin/login
	chmod u+s debian/login/bin/su
	chmod u+s debian/login/usr/bin/newgrp
	chgrp shadow debian/passwd/usr/bin/chage
	chgrp shadow debian/passwd/usr/bin/expiry
	chmod g+s debian/passwd/usr/bin/chage
	chmod g+s debian/passwd/usr/bin/expiry
	dh_strip
	dh_compress
	dh_shlibdeps
	dh_installdebconf
	dh_installdeb
	dh_gencontrol -ppasswd
ifneq ($(DEB_HOST_GNU_SYSTEM),gnu)
	dh_gencontrol -plogin
endif
	dh_md5sums
	dh_builddeb -ppasswd
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	dh_builddeb -plogin
endif

binary: binary-indep binary-arch

.PHONY: clean checkroot binary-indep binary-arch

## shadow 4.0.3-31sarge5.osso8

=== debian/changelog ===
shadow (1:4.0.3-31sarge5.osso8) unstable; urgency=low

  * No essential packages anymore

 -- Grigori Timonen <grigori.timonen@nokia.com>  Wed,  5 Mar 2008 16:10:22 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,6 @@
 Pre-Depends: ${shlibs:Depends}, libpam-runtime (>= 0.76-14)
 Conflicts: shadow-login, secure-su, suidregister (<< 0.50)
 Replaces: shadow-login, shadow-passwd, shellutils (<< 2.0-2), manpages-fr, manpages-hu, manpages-it, manpages-ko, manpages-ja, manpages-pl (<= 20020406-1)
-Essential: yes
 Section: base
 Priority: required
 Description: system login tools

## shadow 4.2

=== debian/changelog ===
shadow (1:4.2-3+deb8u4) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Reset pid_child only if waitpid was successful.
    This is a regression fix for CVE-2017-2616. If su receives a signal like
    SIGTERM, it is not propagated to the child. (Closes: #862806)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 17 May 2017 12:58:54 +0200

shadow (1:4.2-3+deb8u3) jessie-security; urgency=high

  * Fix integer overflow in getulong.c (CVE-2016-6252) (Closes: #832170)
  * Refresh patches
  * Add myself to uploaders replacing Nicolas FRANCOIS (Nekral)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Feb 2017 00:57:31 +0100

shadow (1:4.2-3+deb8u2) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * su: properly clear child PID (CVE-2017-2616) (Closes: #855943)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Feb 2017 17:21:08 +0100

shadow (1:4.2-3+deb8u1) jessie; urgency=medium

  * Non-maintainer upload.
  * Fix error handling in busy user detection. (Closes: #778287)

 -- Bastian Blank <bastian.blank@credativ.de>  Wed, 18 Nov 2015 08:07:09 +0000

shadow (1:4.2-3) unstable; urgency=low

  * Enforce hardened builds to workaround cdbs sometimes not building
    with hardening flags as in 1:4.2-2+b1
    Thanks to Dr. Markus Waldeck for pointing the issue and Simon Ruderich
    For providing a working patch.

 -- Christian Perrier <bubulle@debian.org>  Wed, 19 Nov 2014 21:59:09 +0100

shadow (1:4.2-2) unstable; urgency=low

  * The "Soumaintrain" release
  * The "Rigotte de Condrieu" release was 4.2-1
  * Upload to unstable
  * Last upload integrates the use of dh_autoreconf which has the same
    effect then Eric Dorland's patch in 1:4.1.5.1-1.1 NMU to drop the
    use of automake1.9. Closes: #724434

  [ Samuel Thibault ]
  * Enable the login package on hurd-any, but without /bin/login, still provided
    by the hurd package. Closes: #737805.
    This fix was accidentally forgotten in 1:4.2-1

  [ Josh Triplett ]
  * use the new pam_exec functionality from pam 1.1.8-1 to implement the
    dynamic motd, rather than using /run/motd.dynamic from initscripts.
    This will allow initscripts to drop /etc/init.d/motd.
    Closes: #741129

  [ Laurent Bigonville ]
  * Enable libaudit support. Closes: #745774

  [ Trần Ngọc Quân ]
  * Vietnamese translation update.

  [ Christian Perrier ]
  * Add a lintian override for newuidmap and newgidmap setuid binaries
  * Add upstream signing key as debian/upstream-signing-key.asc
  * Check upstream signing key in debian/watch

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 May 2014 19:39:07 +0200

shadow (1:4.2-1) experimental; urgency=low

  [ Nicolas FRANCOIS (Nekral) ]
  * New upstream release. Fixes:
    - Invalid free() in su fixed by using strdup(). Thanks to Serge
      Hallyn for the patch. Closes: #691459
    - Kill the child process group, rather than just the
      immediate child; this is needed now that su no
      longer starts a controlling terminal when not running an
      interactive shell. Thanks to Colin Watson for the patch.
      Closes: #713979
    - German manpages translation update. Closes: #679152
    - Improve login.defs (typographic errors and better format).
      Closes: #685415
    - Russian translation update. Closes: #718356
    - Do not assume random() is limited by RAND_MAX.  Closes: #677275
    - Support C libraries with unknown fields in struct passwd.
      Closes: #675824
    - su: child cleanup is performed before terminating PAM sessions. This
      avoids anoying "...terminated" messages when PAM module send signal to
      su during session close. Closes: #670132
    - vipw/vigr is checking arguments provided after options. Closes: #677812
    - Updated Japanese translation. Closes: #720004
    - vipw: Fix error reporting when editor fails. Closes: #688260
  * Moved to git: replace Vcs-Git in place of Vcs-Svn and adapt
    Vcs-Browser.
  * Add pam_loginuid to login PAM settings. Closes: #677441
  * passwd.install: add new subuid.5 and subgid.5 manpages
  * debian/rules, debian/control, debian/uidmap.install: create new uidmap
    package containing the new setuid-root binaries newuidmap and newgidmap 
    Set uidmap as priority optional.
  * debian/login.su.pam: Enable pam_limits by default. Closes: #705301
  * debian/rules: Set default editor to sensible-editor for vipw.
    Closes: #688252

  [ Micah Anderson ]
  * added debian/patches/userns to enable use of subuids, plus some bugfix 
    patches on top of them, patches from Eric Biederman, pulled from
    Ubuntu. Closes: #739981
  * Allow LXC devices (lxc/console, lxc/tty[1234]) in securetty.linux
  * Update documentation of UMASK: Explain that USERGROUPS_ENAB will modify
    this default for UPGs. (Closes: #583971)
  * login.postinst: install a default /etc/subuid and /etc/subgid
  * fix installation of setuid/setgid/newuidmap/newgid/map man pages

  [ Laurent Bigonville ]
  * Switch to dpkg-source 3.0 (quilt) format
  * Add build-dependency against bison
  * Call dh-autoreconf since we need to regenerate all the autofoo files
  
  [ Philippe Grégoire ]
  * Fix 1000_configure_userns to avoid dropping a needed #endif
    Closes: #744877

  [ Christian Perrier ]
  * Bump Standards to 3.9.5 (checked)
  * Use 'set -e' in postinst scripts and not in thei shebang line
  * Explicitly point to GPL-2 document in debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Tue, 22 Apr 2014 09:01:42 +0200

shadow (1:4.1.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Eric Dorland ]
  * Switch to automake1.11. (Closes: #724434)

  [ Samuel Thibault ]
  * Enable the login package on hurd-any, but without /bin/login, still provided
    by the hurd package. Closes: #737805.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Mar 2014 20:58:24 +0100

shadow (1:4.1.5.1-1) unstable; urgency=low

  * The "Gruyère" release.

  [ Nicolas FRANCOIS (Nekral) ]


=== debian/control ===
Source: shadow
Section: admin
Priority: required
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Standards-Version: 3.9.5
Uploaders: Christian Perrier <bubulle@debian.org>,
           Balint Reczey <balint@balintreczey.hu>
Build-Depends: dh-autoreconf, gettext, libpam0g-dev, debhelper (>= 6.0.7~), quilt, dpkg-dev (>= 1.13.5), xsltproc, docbook-xsl, docbook-xml, libxml2-utils, cdbs, libselinux1-dev [linux-any], libsemanage1-dev [linux-any], gnome-doc-utils (>= 0.4.3), bison, libaudit-dev [linux-any]
 ,hardening-wrapper
Vcs-Git: git://anonscm.debian.org/git/pkg-shadow/shadow.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-shadow/shadow.git;a=summary
Homepage: http://pkg-shadow.alioth.debian.org/

Package: passwd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, debianutils (>= 2.15.2)
Replaces: manpages-tr (<<1.0.5), manpages-zh (<<1.5.1-1)
Multi-Arch: foreign
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Pre-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-runtime, libpam-modules (>= 1.1.8-1)
Conflicts: gnunet (<< 0.7.0c-2), amavisd-new (<<2.3.3-8), python-4suite (<< 0.99cvs20060405-1), backupninja (<< 0.9.3-5), echolot (<< 2.1.8-4)
Breaks: coreutils (<< 8.21~) [hurd-any], passwd (<< 1:4.1.5.1-2~) [hurd-any], hurd (<< 20140206~) [hurd-any]
Replaces: manpages-de (<< 0.5-3), manpages-tr (<<1.0.5), manpages-zh (<<1.5.1-1), passwd (<< 1:4.1.5.1-2~) [hurd-any], coreutils (<< 8.21~) [hurd-any], hurd (<< 20140206~) [hurd-any]
Essential: yes
Description: system login tools
 These tools are required to be able to login and use your system. The
 login program invokes your user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).

Package: uidmap
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: programs to help use subuids
 These programs help unprivileged users to create uid and gid mappings in
 user namespaces.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_BUILD_HARDENING=1

# Enable PIE, BINDNOW, and possible future flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Call autoreconf since we need to regenerate all the autofoo files
include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
# Specify where dh_install will find the files that it needs to move:
DEB_DH_INSTALL_SOURCEDIR=debian/tmp
# Specify the destination of shadow's "make install"
# (This is only needed on The Hurd, where only one package is built. On
# the other arch, DEB_DESTDIR already points to debian/tmp)
DEB_DESTDIR=$(CURDIR)/debian/tmp

include /usr/share/cdbs/1/class/autotools.mk

# Adds extra options when calling the configure script:
DEB_CONFIGURE_EXTRA_FLAGS := --disable-shared --without-libcrack --mandir=/usr/share/man --with-libpam --enable-shadowgrp --enable-man --disable-account-tools-setuid --with-group-name-max-length=32 --without-acl --without-attr --without-tcb
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  DEB_CONFIGURE_EXTRA_FLAGS += --host=$(DEB_HOST_GNU_TYPE)
endif

# Set the default editor for vipw/vigr
CFLAGS += -DDEFAULT_EDITOR=\\\"sensible-editor\\\"

# Add extras to the install process:
binary-install/login::
ifeq ($(DEB_HOST_ARCH_OS),hurd)
	# /bin/login is provided by the hurd package.
	rm -f debian/login/bin/login
endif
	dh_installpam -p login
	dh_installpam -p login --name=su
	install -c -m 444 debian/login.defs debian/login/etc/login.defs
	install -c -m 444 debian/securetty.$(DEB_HOST_ARCH_OS) debian/login/etc/securetty
	dh_lintian -p login

binary-install/passwd::
	install -c -m 444 man/shadowconfig.8 debian/passwd/usr/share/man/man8
	install -c -m 444 man/ja/shadowconfig.8 debian/passwd/usr/share/man/ja/man8
	install -c -m 444 man/pl/shadowconfig.8 debian/passwd/usr/share/man/pl/man8
	install -c -m 444 man/fr/shadowconfig.8 debian/passwd/usr/share/man/fr/man8
	# Distribute the pam.d files; unless for the commands with disabled PAM
	# support
	dh_installpam -p passwd --name=passwd
	dh_installpam -p passwd --name=chfn
	dh_installpam -p passwd --name=chsh
	dh_installpam -p passwd --name=chpasswd
	dh_installpam -p passwd --name=newusers
	install -c -m 644 debian/useradd.default debian/passwd/etc/default/useradd
	install -d debian/passwd/sbin
	install -c -m 555 debian/shadowconfig.sh debian/passwd/sbin/shadowconfig
	install -c -m 444 debian/cpgr.8 debian/passwd/usr/share/man/man8
	install -c -m 444 debian/cppw.8 debian/passwd/usr/share/man/man8
	dh_lintian -p passwd

binary-predeb/uidmap::
	chmod u+s debian/uidmap/usr/bin/newuidmap
	chmod u+s debian/uidmap/usr/bin/newgidmap

binary-predeb/login::
	# No real need for login to be setuid root
	# chmod u+s debian/login/bin/login
	chmod u+s debian/login/bin/su
	chmod u+s debian/login/usr/bin/newgrp

binary-predeb/passwd::
	chmod u+s debian/passwd/usr/bin/chfn
	chmod u+s debian/passwd/usr/bin/chsh
	chmod u+s debian/passwd/usr/bin/gpasswd
	chmod u+s debian/passwd/usr/bin/passwd
	chgrp shadow debian/passwd/usr/bin/chage
	chgrp shadow debian/passwd/usr/bin/expiry
	chmod g+s debian/passwd/usr/bin/chage
	chmod g+s debian/passwd/usr/bin/expiry

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ http://pkg-shadow.alioth.debian.org/releases/shadow-(.*)\.tar\.xz \
  debian  uupdate

## shadow 4.4

=== debian/changelog ===
shadow (1:4.4-4.1) unstable; urgency=high

  * Non-maintainer upload.
  * Reset pid_child only if waitpid was successful.
    This is a regression fix for CVE-2017-2616. If su receives a signal like
    SIGTERM, it is not propagated to the child. (Closes: #862806)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 17 May 2017 13:59:59 +0200

shadow (1:4.4-4) unstable; urgency=high

  * su: properly clear child PID (CVE-2017-2616) (Closes: #855943)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 24 Feb 2017 01:33:25 +0100

shadow (1:4.4-3) unstable; urgency=medium

  [ Balint Reczey ]
  * Clean up stale locks on boot (Closes: #478771)
  * Sync motd handling with sshd.
    Using patch from Ubuntu (Closes: #757148)

  [ Stéphane Graber ]
  * Add missing /etc/{subgid|subuid} in postinst

 -- Balint Reczey <balint@balintreczey.hu>  Wed, 25 Jan 2017 16:43:09 +0100

shadow (1:4.4-2) unstable; urgency=medium

  [ Balint Reczey ]
  * Update homepage to new upstream
  * Always use /bin/sh shell in the build (Closes: #817971)
  * Replace user´s -> user's to make login.def file valid ASCII
    (Closes: #850338)
  * Update patch naming docmentation
  * Fix typos in German man pages (Closes: #734609)
  * Send 1000_configure_userns patch upstream
  * Add call to pam_keyinit for login pam service.
    This module is linux-any only, so copy what openssh has already done and
    remove the call at build time for other architectures.
    The call to this module is needed to have proper per-session kernel
    keyring. (Closes: #734671)
  * Add pts/0 and pts/1 to securetty (Closes: #830255)
  * Add ttySAC* to securetty (Closes: #824391)
  * Add ttySC[4-9] to securetty (Closes: #768020)

  [ Laurent Bigonville ]
  * Move pam_selinux open call higher in the session stack (Closes: #747313)

  [ Christian Perrier ]
  * Fix typos in login.pam (thanks to Jakub Wilk for reporting)
    (Closes: #747115)
  * Include groupmems(8) in the passwd package (Closes: #663117)

  [ Frans Spiesschaert ]
  * Dutch translation update (Closes: #772470)

  [ Trần Ngọc Quân ]
  * Update Vietnamese translation (Closes: #777107)

  [ Miroslav Kuře ]
  * Updated Czech translation. (Closes: #759113)

  [ Holger Wansing ]
  * Update for German man pages

  [ Thomas Blein ]
  * French manpage translation (Closes: #805182)

  [ Lars Bahner ]
  * Fix some spelling issues in the Norwegian translation (Closes: #800553)

 -- Balint Reczey <balint@balintreczey.hu>  Thu, 19 Jan 2017 18:22:49 +0100

shadow (1:4.4-1) unstable; urgency=medium

  [ Christian Perrier ]
  * Imported Upstream version 4.2
  * Debian patch: Fix typo in su.1.xml
  * Configure userns
  * Vietnamese translation update
  * French translation update (Closes: #725793)
  * German translation update
  * Update NEWS file
  * Issue a warning if no manpages have been generated
  * Regenerate PO files
  * Regenerate manpages PO files
  * Imported Upstream version 4.2.1

  [ Serge Hallyn ]
  * Import new upstream
  * Patch changes:
    - Update 501_commonio_group_shadow to work with upstream changes
    - Update 1010_vietnamese_translation
    - Drop userns patches which are now all upstream

  [ Balint Reczey ]
  * Update debian/watch to use GitHub releases
  * Imported Upstream version 4.4
    - Fix incorrect integer handling (CVE-2016-6252) (Closes: #832170)
  * Disable Vietnamese translation patch because it does not apply cleanly
  * Bump debhelper compat level to 10
  * ACK NMU by Samuel Thibault dropping the patch which is integrated
    upstream
  * Stop build-depending on build-essential dpkg-dev
  * Tag login package as essential properly
  * Adopt the package under the Shadow Team's umbrella (Closes: #801707)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 06 Jan 2017 16:19:18 +0100

shadow (1:4.2-3.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to fix build on hurd-i386. (Closes: #750480)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 22 Nov 2016 18:31:28 +0000

shadow (1:4.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use HTTPS in Vcs-Git.
  * Stop using hardening-wrapper and instead use /usr/share/dpkg/buildflags.mk.
    Closes: #836653

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Sep 2016 14:42:16 +0000

shadow (1:4.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix error handling in busy user detection. (Closes: #778287)

 -- Bastian Blank <bastian.blank@credativ.de>  Thu, 12 Nov 2015 14:33:33 +0000

=== debian/control ===
Source: shadow
Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>,
           Balint Reczey <balint@balintreczey.hu>,
           Serge Hallyn <serge@hallyn.com>
Section: admin
Priority: required
Build-Depends: dh-autoreconf,
               gettext,
               libpam0g-dev,
               debhelper (>= 10~),
               quilt,
               xsltproc,
               docbook-xsl,
               docbook-xml,
               libxml2-utils,
               cdbs,
               libselinux1-dev [linux-any],
               libsemanage1-dev [linux-any],
               gnome-doc-utils,
               bison,
               libaudit-dev [linux-any]
Standards-Version: 3.9.5
Vcs-Browser: https://anonscm.debian.org/git/pkg-shadow/shadow.git
Vcs-Git: https://anonscm.debian.org/git/pkg-shadow/shadow.git
Homepage: https://github.com/shadow-maint/shadow

Package: passwd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libpam-modules
Replaces: manpages-tr (<< 1.0.5),
          manpages-zh (<< 1.5.1-1)
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login
Architecture: any
Essential: yes
Pre-Depends: ${shlibs:Depends},
             ${misc:Depends},
             libpam-runtime,
             libpam-modules (>= 1.1.8-1)
Breaks: coreutils (<< 8.21~) [hurd-any],
        passwd (<< 1:4.1.5.1-2~) [hurd-any],
        hurd (<< 20140206~) [hurd-any]
Conflicts: gnunet (<< 0.7.0c-2),
           amavisd-new (<< 2.3.3-8),
           python-4suite (<< 0.99cvs20060405-1),
           backupninja (<< 0.9.3-5),
           echolot (<< 2.1.8-4)
Replaces: manpages-de (<< 0.5-3),
          manpages-tr (<< 1.0.5),
          manpages-zh (<< 1.5.1-1),
          passwd (<< 1:4.1.5.1-2~) [hurd-any],
          coreutils (<< 8.21~) [hurd-any],
          hurd (<< 20140206~) [hurd-any]
Description: system login tools
 These tools are required to be able to login and use your system. The
 login program invokes your user shell and enables command execution. The
 newgrp program is used to change your effective group ID (useful for
 workgroup type situations). The su program allows changing your effective
 user ID (useful being able to execute commands as another user).

Package: uidmap
Architecture: any
Priority: optional
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: programs to help use subuids
 These programs help unprivileged users to create uid and gid mappings in
 user namespaces.

## shadow 4.5

=== debian/changelog ===
shadow (1:4.5-1ubuntu1) bionic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/login.defs:
      + Update documentation of USERGROUPS_ENAB: with pam_umask, the UPG
        handling does not only apply to "former (pre-PAM) uses".
      + Update documentation of UMASK: Explain that USERGROUPS_ENAB
        will modify this default for UPGs.
    - debian/{source_shadow.py,rules}: Add apport hook
    - debian/patches/1010_extrausers.patch: Add support to passwd for
      libnss-extrausers
    - debian/patches/1011_extrausers_toggle.patch: extrausers support for
      useradd and groupadd
    - debian/patches/1012_extrausers_chfn.patch: add support for
      --extrausers to the chfn tool
    - debian/passwd.maintscripts: Clean up upstart configuration
  * Dropped changes, included in Debian:
    - Pass noupdate to pam_motd call for /run/motd.dynamic, to avoid running
      /etc/update-motd.d/* scripts twice.
  * Dropped changes, included upstream:
    - debian/patches/userns/subuids-nonlocal-users: Don't limit
      subuid/subgid support to local users.
    - debian/patches/1021_no_subuids_for_system_users.patch
    - debian/patches/CVE-2017-2616.patch: Check process's exit status before
      sending signal
    - debian/patches/CVE-2017-2616-regression.patch: Do not reset the
      pid_child to 0 if the child process is still running.
    - CVE-2017-2616
    - debian/patches/CVE-2016-6252.patch: parse directly into unsigned long
    - CVE-2016-6252
  * Dropped obsoleted changes:
    - debian/rules: setting DEB_*_INSTALLINIT_ARGS became obsolete after
      switching to passwd.tmpfile from passwd.service

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 25 Jan 2018 16:09:22 +0100

shadow (1:4.5-1) unstable; urgency=medium

  * New upstream version 4.5
    - Fix buffer overflow if NULL line is present in db (CVE-2017-12424)
      (Closes: #756630)
    - Make the sp_lstchg shadow field reproducible (Closes: #857803)
    - Fix regression in useradd not loading defaults properly.
      (Closes: #865762)
  * Refresh patches
  * Drop patches manipulating su argument concatenation:
  * Cut redundant information from Debian-specific README files
  * Revert adding pts/0 and pts/1 to securetty.
    Adding pts/* defeats the purpose of securetty. Let containers add it if
    needed as described in #830255.
  * Use my @ubuntu.com email address in Maintainer field

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Sep 2017 12:45:23 -0400

shadow (1:4.2-3.2ubuntu4) artful; urgency=medium

  * Drop upstart system jobs.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Aug 2017 00:56:14 +0100

shadow (1:4.2-3.2ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: su could be used to kill arbitrary processes.
    - debian/patches/CVE-2017-2616.patch: Check process's exit status before
      sending signal
    - debian/patches/CVE-2017-2616-regression.patch: Do not reset the
      pid_child to 0 if the child process is still running.
    - CVE-2017-2616
  * SECURITY UPDATE: getulong() function could accidentally parse negative
    numbers as large positive numbers.
    - debian/patches/CVE-2016-6252.patch: parse directly into unsigned long
    - CVE-2016-6252

 -- Seth Arnold <seth.arnold@canonical.com>  Thu, 18 May 2017 14:39:32 -0400

shadow (1:4.2-3.2ubuntu1) yakkety; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/passwd.upstart: Add an upstart job to clear locks on
      [shadow-]passwd/group.
    - debian/login.defs:
      + Update documentation of USERGROUPS_ENAB: with pam_umask, the UPG
        handling does not only apply to "former (pre-PAM) uses".
      + Update documentation of UMASK: Explain that USERGROUPS_ENAB
        will modify this default for UPGs.
    - debian/{source_shadow.py,rules}: Add apport hook
    - Pass noupdate to pam_motd call for /run/motd.dynamic, to avoid running
      /etc/update-motd.d/* scripts twice.
    - debian/patches/1010_extrausers.patch: Add support to passwd for
      libnss-extrausers
    - debian/patches/1011_extrausers_toggle.patch: extrausers support for
      useradd and groupadd
    - debian/patches/userns/subuids-nonlocal-users: Don't limit
      subuid/subgid support to local users.
  * Dropped changes, included in Debian:
    - Allow LXC devices (lxc/console, lxc/tty[1234]), used from precise on.
    - Add uidmap package based on upstream patches that introduce
      newuidmap/newgidmap as well as /etc/subuid and /etc/subgid. Additional
      updates on those to widen the default allocation to 65536 uids and gids
      and only assign ranges to non-system users.
    - debian/patches/1020_fix_user_busy_errors: Call sub_uid_close in all
      error cases.
  * Dropped changes, included upstream:
    - debian/patches/495_stdout-encrypted-password: chpasswd can report
      password hashes on stdout.
    - debian/patches/496_su_kill_process_group: Kill the child process group,
      rather than just the immediate child.
  * Fix pam_motd calls so that the second pam_motd is the noupdate one rather
    than the first, ensuring /run/motd.dynamic is always populated and shown
    on the first login after boot.  LP: #1368864.
  * Don't call 'pam_exec uname', a change adopted in Debian without
    coordination with the Debian PAM maintainer
  * Use dh_installinit now for installing the upstart job, as we no longer
    generate a dependency on upstart-job.
  * Include /etc/sub[ug]id in the list of files to clear locks for on boot.
    LP: #1304505
  * Add a systemd unit to go with the upstart job, so that lock clearing works
    on newer Ubuntu releases.
  * add support for "chfn --extrausers" (LP: #1495580)
  * debian/patches/1010_extrausers.patch:
    - Fix usermod to handle a readonly /etc gracefully (LP: #1562872)
  * debian/patches/1010_extrausers.patch:
    - Fix usermod to look in extrausers location for basic changes to a
      user's passwd info.  Fixes changing user's real name in Touch via


=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shadow
-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders: Christian Perrier <bubulle@debian.org>,
-           Balint Reczey <balint@balintreczey.hu>,
+           Balint Reczey <rbalint@ubuntu.com>,
            Serge Hallyn <serge@hallyn.com>
 Section: admin
 Priority: required

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,10 @@
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
 
-export DEB_BUILD_HARDENING=1
-
 # Enable PIE, BINDNOW, and possible future flags.
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 # Call autoreconf since we need to regenerate all the autofoo files
 include /usr/share/cdbs/1/rules/autoreconf.mk
@@ -21,7 +21,18 @@
 include /usr/share/cdbs/1/class/autotools.mk
 
 # Adds extra options when calling the configure script:
-DEB_CONFIGURE_EXTRA_FLAGS := --disable-shared --without-libcrack --mandir=/usr/share/man --with-libpam --enable-shadowgrp --enable-man --disable-account-tools-setuid --with-group-name-max-length=32 --without-acl --without-attr --without-tcb
+DEB_CONFIGURE_EXTRA_FLAGS := --disable-shared \
+	--without-libcrack \
+	--mandir=/usr/share/man \
+	--with-libpam \
+	--enable-shadowgrp \
+	--enable-man \
+	--disable-account-tools-setuid \
+	--with-group-name-max-length=32 \
+	--without-acl \
+	--without-attr \
+	--without-tcb \
+	 SHELL=/bin/sh
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
   DEB_CONFIGURE_EXTRA_FLAGS += --host=$(DEB_HOST_GNU_TYPE)
 endif
@@ -35,10 +46,15 @@
 	# /bin/login is provided by the hurd package.
 	rm -f debian/login/bin/login
 endif
+ifneq ($(DEB_HOST_ARCH_OS),linux)
+	sed -i 's/session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
+endif
 	dh_installpam -p login
 	dh_installpam -p login --name=su
 	install -c -m 444 debian/login.defs debian/login/etc/login.defs
 	install -c -m 444 debian/securetty.$(DEB_HOST_ARCH_OS) debian/login/etc/securetty
+	install -d debian/login/usr/share/apport/package-hooks
+	install -c -m 644 debian/source_shadow.py debian/login/usr/share/apport/package-hooks/source_shadow.py
 	dh_lintian -p login
 
 binary-install/passwd::
@@ -79,3 +95,6 @@
 	chgrp shadow debian/passwd/usr/bin/expiry
 	chmod g+s debian/passwd/usr/bin/chage
 	chmod g+s debian/passwd/usr/bin/expiry
+
+clean::
+	sed -i 's/# Linux only # //' debian/login.pam

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%shadow-$1.tar.gz%" \
   https://github.com/shadow-maint/shadow/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## shadow 4.5.3

=== debian/changelog ===
shadow (1:4.5.3-1+dde) unstable; urgency=medium

  * Resolve some issues caused by previous commits
  * 

 -- chenkaixu <chenkaixu@uniontech.com>  Tue, 09 Mar 2021 09:51:17 +0800

shadow (1:4.5.2-1+dde) unstable; urgency=medium

  * Prohibit viewing permissions between users.
  *

 -- liuxin <liuxin@uniontech.com>  Mon, 08 Feb 2021 17:42:48 +0800

shadow (1:4.5.1-1+dde) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- liuxin <liuxin@uniontech.com>  Sun, 05 Jul 2020 20:05:45 +0800

shadow (1:4.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * 

 -- Andreas Henriksson <liuxin@uniontech.com>  Sat, 04 Jul 2020 22:41:17 +0800

shadow (1:4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload (greetings from DebCamp/DebConf Taiwan).
  * Stop shipping su and break old util-linux version. (See #833256)
    - Breaks on old version to force lockstep upgrade, which should
      really be a depends-new-version (and can be switched around
      together with util-linux once the transition is finished).
      Using Breaks/Depends the 'wrong' way around is to make apt
      unpack things in the 'right' order (avoiding any gaps where
      /bin/su is not available during the upgrade phase).

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 27 Jul 2018 10:07:37 +0200

=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,9 @@
 	sed -i 's/session    optional   pam_keyinit.so/# Linux only # session    optional   pam_keyinit.so/' debian/login.pam
 endif
 	dh_installpam -p login
-	dh_installpam -p login --name=su
-	install -c -m 444 debian/login.defs debian/login/etc/login.defs
+	mkdir debian/login/var/ -p
+	install -c -m 444 debian/login.defs debian/login/var/login.defs
 	install -c -m 444 debian/securetty.$(DEB_HOST_ARCH_OS) debian/login/etc/securetty
-	install -d debian/login/usr/share/apport/package-hooks
-	install -c -m 644 debian/source_shadow.py debian/login/usr/share/apport/package-hooks/source_shadow.py
 	dh_lintian -p login
 
 binary-install/passwd::
@@ -83,7 +81,6 @@
 binary-predeb/login::
 	# No real need for login to be setuid root
 	# chmod u+s debian/login/bin/login
-	chmod u+s debian/login/bin/su
 	chmod u+s debian/login/usr/bin/newgrp
 
 binary-predeb/passwd::
